# Class: MoneroSubaddress

## MoneroSubaddress()

Monero subaddress model.

## Constructor

#### new MoneroSubaddress()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 8

### Methods

#### getAccountIndex()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 31

#### getAddress()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 49

#### getBalance()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 67

#### getIndex()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 40

#### getLabel()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 58

#### getNumBlocksToUnlock()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 103

#### getNumUnspentOutputs()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 85

#### getUnlockedBalance()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 76

#### isUsed()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 94

#### setAccountIndex()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 35

#### setAddress()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 53

#### setBalance()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 71

#### setIndex()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 44

#### setIsUsed()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 98

#### setLabel()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 62

#### setNumBlocksToUnlock()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 107

#### setNumUnspentOutputs()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 89

#### setUnlockedBalance()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 80

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 24

#### toString()

Source:
  - src/main/js/wallet/model/MoneroSubaddress.js, line 112